#!/bin/bash

if [[ $EUID -ne 0 ]]; then
   echo "This script must be run as root" 1>&2
   exit 1
fi

if [ $# -ne 1 ];
then
    echo "Usage:"
    echo "$0 <path_to_config_file>"
    echo "Example:"
    echo "$0 /etc/rtls/rtls-monitor-agent.json"
    exit 1
fi


# ---------------------------------------------------------------------------- #

CONFIG_FILE="$1"

# ---------------------------------------------------------------------------- #

systemctl stop rtls-monitor-agent
rm "$( jq .system.queuesdbfile "$CONFIG_FILE" --raw-output )"
redis-cli -n 7 flushdb
systemctl start rtls-monitor-agent

# ---------------------------------------------------------------------------- #
