#!/bin/bash

# ---------------------------------------------------------------------------- #

if [[ $EUID -ne 0 ]]; then
   echo "This script must be run as root" 1>&2
   exit 1
fi

# ---------------------------------------------------------------------------- #

CONFIG_FILE="$1"
UIDFILE="$( jq .system.uidfile "$CONFIG_FILE" --raw-output )"

FROM="$( jq .system.replace_uid.from "$CONFIG_FILE" --raw-output )"
TO="$( jq .system.replace_uid.to "$CONFIG_FILE" --raw-output )"

if [ "$(cat "$UIDFILE")" = "$FROM" ]; then

    echo "Replacing UID from "$FROM" to "$TO""

    chattr -i "$UIDFILE"
    echo "$TO" > "$UIDFILE"
    chattr +i "$UIDFILE"

fi

# ---------------------------------------------------------------------------- #
